Bug 708960 - RFE: Synchronization of RHQ server configuration and settings between RHQ servers
RFE: Synchronization of RHQ server configuration and settings between RHQ ser...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: Lukas Krejci
Mike Foley
:
Depends On: 709018 709030 708964 709017 709025
Blocks: jon3
  Show dependency treegraph
 
Reported: 2011-05-30 05:36 EDT by Lukas Krejci
Modified: 2011-10-06 15:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-29 11:36:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2011-05-30 05:36:27 EDT
It is common to have testing, staging and production environments that are isolated from each other and therefore not managed by a single RHQ instance. 

The RHQ servers managing the individual environments share a lot of configuration (not only the settings, but also metric and alert templates, etc.) and so it would be good to have a feature that would help the administrators keep these distinct RHQ servers "in sync" configuration-wise.

The design and features as they evolve are captured on the RHQ wiki:

http://wiki.rhq-project.org/display/RHQ/Design+-+Configuration+synchronization
Comment 1 Lukas Krejci 2011-09-29 11:36:52 EDT
The first incarnation of the configuration synchronization has been implemented. Future enhancements will be tracked separately.

Note You need to log in before you can comment on or make changes to this bug.